package upgrade.test.tests;

import com.vaadin.ui.*;
import upgrade.test.presentation.WebApp;

public class NegativeTest extends AbstractTestPanel implements Button.ClickListener {

    public NegativeTest(WebApp app) {
        super(app);
    }

    @Override
    String getTitle() {
        return "Negative Test Utility";
    }

    @Override
    String getTestDescription() {
        return "Simple test of the framework to make sure exceptions are " +
        "caught and shown to the user. Click the button to throw a " +
        "RuntimeException. This is not a required test.";

    }

    @Override
    public void attach() {
        Button button = new Button("Test");
        button.addListener(this);
        addComponent(button);
    }

    @Override
    public void buttonClick(Button.ClickEvent clickEvent) {
        throw new RuntimeException("testing");
    }
}
